Skip to main content
GET
/
v2
/
onchain
/
markets
/
{token_id}
/
trades
Market trade history (onchain)
curl --request GET \
  --url https://api.polynode.dev/v2/onchain/markets/{token_id}/trades
Returns every onchain trade fill for a specific market token. This is the complete trade tape from the blockchain, enriched with market metadata.

Request

GET /v2/onchain/markets/{token_id}/trades?limit=100&offset=0
ParameterTypeLocationDescription
token_idstringpathCTF token ID (numeric string)
limitintegerqueryMax results (default 100, max 1000)
offsetintegerquerySkip first N results for pagination

Response

{
  "token_id": "21912724974096796009916816278814088615574660931588091764221331842149572809887",
  "source": "onchain",
  "count": 1,
  "offset": 0,
  "market": "Bitcoin Up or Down - March 28, 9:55PM-10:00PM ET",
  "slug": "btc-updown-5m-1774749300",
  "outcome": "Up",
  "image": "https://polymarket-upload.s3.us-east-2.amazonaws.com/BTC+fullsize.png",
  "condition_id": "0xb91dbc2ba7f0d33c71fca765909e98b2023af855f1d69b82d5fd59732085700d",
  "trades": [
    {
      "tx_hash": "0xe21d6bb1388057e285cde7cc4032fc1819d5daa562844c6996cefd64ccd4d9d8",
      "timestamp": 1774749406,
      "maker": "0x37b3a418576757f4636680fcaf16d1f37a602623",
      "taker": "0x4bfb41d5b3570defd03c39a9a4d8de6bd8b8982e",
      "maker_amount": 4.711,
      "taker_amount": 6.73,
      "fee": 0.288428
    }
  ]
}
FieldTypeDescription
marketstringMarket question
slugstringMarket slug
outcomestringOutcome label for this token
imagestringMarket image URL
condition_idstringMarket condition ID
trades[].tx_hashstringTransaction hash
trades[].timestampnumberUnix timestamp
trades[].makerstringMaker wallet
trades[].takerstringTaker wallet
trades[].maker_amountnumberUSDC amount
trades[].taker_amountnumberToken amount
trades[].feenumberFee (USDC)

Example

curl "https://api.polynode.dev/v2/onchain/markets/21912724974096796009916816278814088615574660931588091764221331842149572809887/trades?limit=20" \
  -H "x-api-key: YOUR_KEY"

Path Parameters

token_id
string
required

CTF token ID

Query Parameters

limit
integer
default:100

Max results (max 1000)

offset
integer
default:0

Skip first N results

Response

Trade fills